# Note that this is NOT a relocatable package

Summary: Library implementing the Unicode BiDi algorithm
Name: fribidi-gtkbeta
Version: 0.1.12
Release: 7
License: LGPL
Group: System Environment/Libraries
Source: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi/fribidi-%{version}.tar.gz
Source1: fribidi.pc

Patch1: fribidi-0.1.12-gtkbeta.patch
Patch2: fribidi-rtl.patch

BuildRoot: /var/tmp/fribidi-%{PACKAGE_VERSION}-root
URL: http://imagic.weizmann.ac.il/~dov/freesw/FriBidi

%description
A Free Implementation of the Unicode BiDi algorithm

This package is meant for use with beta releases of the GTK+ widget
library.

%package devel
Summary: Library implementing the Unicode BiDi algorithm
Group: Development/Libraries

%description devel
The fribidi-devel package includes the static libraries and header files
for the fribidi package.

Install fribidi-devel if you want to develop programs which will use
fribidi.

This package is meant for use with beta releases of the GTK+ widget
library.

%changelog
* Fri Aug 11 2000 Havoc Pennington <hp@redhat.com>
- change .pc file to not have /usr/include

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- change .pc file to have -gtkbeta name for the lib

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Add fribidi-rtl.patch and fribidi.pc

* Fri Jul 14 2000 Owen Taylor <otaylor@redhat.com>
- Fix to work with glib-1.3.1 package

* Fri Jul 07 2000 Owen Taylor <otaylor@redhat.com>
- Move back to /usr
- Patch to build against the new GLib

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Fix ordering in %prep
- Change description a bit

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.1.12

* Tue Apr 04 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.1.9

* Wed Feb 16 2000 Owen Taylor <otaylor@redhat.com>
- Add patch to fix memory leaks

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Initial version

%prep
%setup -n fribidi-%{PACKAGE_VERSION}

%patch1 -p1 -b .gtkbeta
%patch2 -p1 -b .rtl

# .gtkbeta patch changes Makefile.am, configure.in
aclocal
libtoolize --force --copy
autoconf
automake

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig/fribidi.pc

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/bin/fribidi
%{_prefix}/lib/libfribidi-gtkbeta.so.*.*.*

%files devel
%defattr(-, root, root)

%{_prefix}/lib/lib*.so
%{_prefix}/lib/*.a
%{_prefix}/include/fribidi
%{_prefix}/bin/fribidi-config
%{_prefix}/lib/pkgconfig/*